summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure11
1 files changed, 11 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..9cea63b
--- /dev/null
+++ b/configure
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -eu
+
+libs='kcgi kcgi-html sqlite3'
+pkg-config --print-errors $libs
+
+cat >config.mk <<EOF
+CFLAGS += $(pkg-config --static --cflags $libs)
+LDFLAGS += -static $(pkg-config --static --libs-only-L $libs)
+LDLIBS = $(pkg-config --static --libs-only-l $libs)
+EOF